using System;
using System.ComponentModel.Composition.Hosting;
using System.IO;
using System.Reflection;

using Telerik.NetworkConnections;

namespace SampleNetworkConnectionsApp
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                string location = Assembly.GetExecutingAssembly().Location;
                string directoryName = Path.GetDirectoryName(location);
                using (DirectoryCatalog catalog = new DirectoryCatalog(directoryName, "Telerik.NetworkConnections*"))
                {
                    CompositionContainer container = new CompositionContainer(catalog);
                    NetworkConnectionsManager connectionsManager = container.GetExportedValue<NetworkConnectionsManager>();
                }

                Console.WriteLine("Completed successfully. Press any key to quit...");
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.ToString());
            }

            Console.ReadKey(false);
        }
    }
}
